## org.apache.lucene.store
Class ChecksumIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.ChecksumIndexInput

All Implemented Interfaces:
  java.lang.Cloneable

    public class ChecksumIndexInput

extends IndexInput

Writes bytes through to a primary IndexOutput, computing checksum as it goes. Note that you cannot use seek().

Constructor Summary
`ChecksumIndexInput(IndexInput main)`

Method Summary
`void` `close()` Closes the stream to further operations.
`long` `getChecksum()`
`long` `getFilePointer()` Returns the current position in this file, where the next read will occur.
`long` `length()` The number of bytes in the file.
`byte` `readByte()` Reads and returns a single byte.
`void` `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
`void` `seek(long pos)` Sets current position in this file, where the next read will occur.

Methods inherited from class org.apache.lucene.store.IndexInput
`clone, readBytes, readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChecksumIndexInput

    public ChecksumIndexInput(IndexInput main)

Method Detail

### readByte

    public byte readByte()
                  throws java.io.IOException

  Description copied from class: `IndexInput`
  Reads and returns a single byte.

  Specified by:
    `readByte` in class `IndexInput`
  Throws:
    `java.io.IOException`
  See Also:
    `IndexOutput.writeByte(byte)`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws java.io.IOException

  Description copied from class: `IndexInput`
  Reads a specified number of bytes into an array at the specified offset.

  Specified by:
    `readBytes` in class `IndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `java.io.IOException`
  See Also:
    `IndexOutput.writeBytes(byte[],int)`

### getChecksum

    public long getChecksum()

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `IndexInput`
  Closes the stream to further operations.

  Specified by:
    `close` in class `IndexInput`
  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()

  Description copied from class: `IndexInput`
  Returns the current position in this file, where the next read will occur.

  Specified by:
    `getFilePointer` in class `IndexInput`
  See Also:
    `IndexInput.seek(long)`

### seek

    public void seek(long pos)

  Description copied from class: `IndexInput`
  Sets current position in this file, where the next read will occur.

  Specified by:
    `seek` in class `IndexInput`
  See Also:
    `IndexInput.getFilePointer()`

### length

    public long length()

  Description copied from class: `IndexInput`
  The number of bytes in the file.

  Specified by:
    `length` in class `IndexInput`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.